<div class="w-20 h-20 border-2 border-yellow-500 relative -bottom-10 left-4 bg-yellow-200 shadow transform rotate-12 z-10 p-2">
  <div class="bg-white truncate w-full h-full">
    <div class="transform scale-50 rotate-180">
      <p class="w-full">Random coffee product</p>
      <p class="transform scale-50">
        Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore ...
      </p>
    </div>
  </div>
</div>